Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 473067 - rhnmd fails to build
Summary: rhnmd fails to build
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-11-26 13:29 UTC by Miroslav Suchý
Modified: 2009-01-22 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:30:52 UTC


Attachments (Terms of Use)

Description Miroslav Suchý 2008-11-26 13:29:34 UTC
Description of problem:
rhnmd fails to build

http://koji.rhndev.redhat.com/koji/taskinfo?taskID=1713

from build.log
....
Provides: librhnmdwrap.so.debug()(64bit)
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Checking for unpackaged file(s): /usr/lib/rpm/check-files /var/tmp/rhnmd-5.1.1-1.el5-root-mockbuild
RPM build errors:
error: Installed (but unpackaged) file(s) found:
   /etc/init.d/rhnmd
   /etc/rhnmd/rhnmd_config
   /usr/lib64/librhnmdwrap.so
   /usr/sbin/rhnmd
   /usr/sbin/rhnmd-wrap
   /var/lib/rhnmd/.ssh/authorized_keys
    Installed (but unpackaged) file(s) found:
   /etc/init.d/rhnmd
   /etc/rhnmd/rhnmd_config
   /usr/lib64/librhnmdwrap.so
   /usr/sbin/rhnmd
   /usr/sbin/rhnmd-wrap
   /var/lib/rhnmd/.ssh/authorized_keys
Child returncode was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/rhnmd.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.4/site-packages/mock/util.py", line 316, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/rhnmd.spec']
LEAVE do --> EXCEPTION RAISED

Comment 1 Miroslav Suchý 2008-11-26 13:51:07 UTC
Commit 1345497df6c75b412abcc042bf0491f638051335.
Tagged rhnmd-5.1.2-1

Comment 2 Michael Mráka 2009-01-15 11:34:36 UTC
Verified in spacewalk 0.4

latest package built is rhnmd-5.1.4-1.el5
http://koji.rhndev.redhat.com/koji/buildinfo?buildID=13712


Note You need to log in before you can comment on or make changes to this bug.